> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Github App Manifest

> Generate GitHub App manifest for enterprise installation.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /organization/vcs/github/manifest
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /organization/vcs/github/manifest:
    get:
      tags:
        - vcs
        - organization
        - vcs
        - github
        - organization
      summary: Get Github App Manifest
      description: Generate GitHub App manifest for enterprise installation.
      operationId: vcs-get_github_app_manifest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubAppManifestResponse'
      security:
        - APIKeyCookie: []
components:
  schemas:
    GitHubAppManifestResponse:
      properties:
        manifest:
          $ref: '#/components/schemas/GitHubAppManifest'
        instructions:
          items:
            type: string
          type: array
          title: Instructions
      type: object
      required:
        - manifest
        - instructions
      title: GitHubAppManifestResponse
      description: GitHub App manifest response.
    GitHubAppManifest:
      properties:
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        hook_attributes:
          $ref: '#/components/schemas/GitHubWebhookAttributes'
        redirect_url:
          type: string
          title: Redirect Url
        callback_urls:
          items:
            type: string
          type: array
          title: Callback Urls
        setup_url:
          type: string
          title: Setup Url
        description:
          type: string
          title: Description
        public:
          type: boolean
          title: Public
        default_permissions:
          $ref: '#/components/schemas/GitHubAppPermissions'
        default_events:
          items:
            type: string
          type: array
          title: Default Events
      type: object
      required:
        - name
        - url
        - hook_attributes
        - redirect_url
        - callback_urls
        - setup_url
        - description
        - public
        - default_permissions
        - default_events
      title: GitHubAppManifest
      description: GitHub App manifest for creating enterprise apps.
    GitHubWebhookAttributes:
      properties:
        url:
          type: string
          title: Url
        active:
          type: boolean
          title: Active
      type: object
      required:
        - url
        - active
      title: GitHubWebhookAttributes
      description: Type definition for GitHub webhook attributes.
    GitHubAppPermissions:
      properties:
        contents:
          type: string
          title: Contents
        metadata:
          type: string
          title: Metadata
        pull_requests:
          type: string
          title: Pull Requests
      type: object
      required:
        - contents
        - metadata
        - pull_requests
      title: GitHubAppPermissions
      description: Type definition for GitHub App default permissions.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````